> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stigg.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List plan charges

> Retrieves the list of charges configured on a plan.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/stigg/openapi.documented.yml get /api/v1/plans/{id}/charges
openapi: 3.0.0
info:
  title: Stigg API
  description: Stigg API documentation
  version: 7.64.2
  contact: {}
servers:
  - url: https://api.stigg.io
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Customers
    description: Operations related to customers
  - name: Subscriptions
    description: Operations related to subscriptions
  - name: Coupons
    description: Operations related to coupons
  - name: Bulk Import
    description: Operations related to import of customers and subscriptions
  - name: Usage
    description: Operations related to usage & metering
  - name: Promotional Entitlements
    description: Operations related to promotional entitlements
  - name: Products
    description: Operations related to products
  - name: Features
    description: Operations related to features
  - name: Addons
    description: Operations related to addons
  - name: Plans
    description: Operations related to plans
  - name: Credit grants
    description: Operations related to credit grants
  - name: Credit ledger
    description: Operations related to credit ledger
  - name: Custom currencies
    description: Operations related to custom currencies
paths:
  /api/v1/plans/{id}/charges:
    get:
      tags:
        - Plans
      summary: List plan charges
      description: Retrieves the list of charges configured on a plan.
      operationId: PlanController_getPlanCharges
      parameters:
        - name: id
          required: true
          in: path
          description: The unique identifier of the entity
          schema:
            minLength: 1
            maxLength: 255
            type: string
        - name: after
          required: false
          in: query
          description: Return items that come after this cursor
          schema:
            format: uuid
            type: string
        - name: before
          required: false
          in: query
          description: Return items that come before this cursor
          schema:
            format: uuid
            type: string
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: X-ACCOUNT-ID
          in: header
          description: >-
            Account ID — optional when authenticating with a user JWT (Bearer
            token); falls back to the user's first membership. Ignored for
            API-key auth.
          required: false
          schema:
            type: string
        - name: X-ENVIRONMENT-ID
          in: header
          description: >-
            Environment ID — required when authenticating with a user JWT
            (Bearer token) on environment-scoped endpoints. Ignored for API-key
            auth (env is intrinsic to the key).
          required: false
          schema:
            type: string
      responses:
        '200':
          description: The list of charges on the plan.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargeListResponseDto'
              examples:
                default:
                  value:
                    data:
                      - id: 7d34cd1e-3a48-4e2d-9f9e-9aafef5b4f51
                        billingPeriod: MONTHLY
                        billingModel: FLAT_FEE
                        billingCadence: RECURRING
                        billingCountryCode: null
                        billingId: price_1234567890
                        tiersMode: null
                        tiers: null
                        price:
                          amount: 4900
                          currency: usd
                        creditRate: null
                        blockSize: null
                        featureId: null
                        topUpCustomCurrencyId: null
                        minUnitQuantity: null
                        maxUnitQuantity: null
                        creditGrantCadence: null
                        crmId: null
                        crmLinkUrl: null
                        usedInSubscriptions: false
                        createdAt: '2025-10-26T10:00:00.000Z'
                    pagination:
                      next: c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f
                      prev: a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b
        '400':
          description: bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadInputErrorResponseDto'
        '401':
          description: User is not authenticated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedErrorResponseDto'
        '403':
          description: User is not allowed to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponseDto'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponseDto'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Stigg from '@stigg/typescript';


            const client = new Stigg({
              apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const planListChargesResponse of
            client.v1.plans.listCharges('x')) {
              console.log(planListChargesResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from stigg import Stigg

            client = Stigg(
                api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
            )
            page = client.v1.plans.list_charges(
                id="x",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stiggio/stigg-go\"\n\t\"github.com/stiggio/stigg-go/option\"\n)\n\nfunc main() {\n\tclient := stigg.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.V1.Plans.ListCharges(\n\t\tcontext.TODO(),\n\t\t\"x\",\n\t\tstigg.V1PlanListChargesParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package io.stigg.example;

            import io.stigg.client.StiggClient;
            import io.stigg.client.okhttp.StiggOkHttpClient;
            import io.stigg.models.v1.plans.PlanListChargesPage;
            import io.stigg.models.v1.plans.PlanListChargesParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    StiggClient client = StiggOkHttpClient.fromEnv();

                    PlanListChargesPage page = client.v1().plans().listCharges("x");
                }
            }
        - lang: Ruby
          source: |-
            require "stigg"

            stigg = Stigg::Client.new(api_key: "My API Key")

            page = stigg.v1.plans.list_charges("x")

            puts(page)
        - lang: C#
          source: |-
            using System;
            using Stigg.Client;
            using Stigg.Client.Models.V1.Plans;

            StiggClient client = new();

            PlanListChargesParams parameters = new() { ID = "x" };

            var page = await client.V1.Plans.ListCharges(parameters);
            await foreach (var item in page.Paginate())
            {
                Console.WriteLine(item);
            }
        - lang: CLI
          source: |-
            stigg v1:plans list-charges \
              --api-key 'My API Key' \
              --id x
components:
  schemas:
    ChargeListResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                description: Unique identifier of the charge
              billingPeriod:
                type: string
                enum:
                  - MONTHLY
                  - ANNUALLY
                description: The billing period (MONTHLY or ANNUALLY)
              billingModel:
                type: string
                enum:
                  - FLAT_FEE
                  - MINIMUM_SPEND
                  - PER_UNIT
                  - USAGE_BASED
                  - CREDIT_BASED
                description: >-
                  The billing model (FLAT_FEE, PER_UNIT, USAGE_BASED,
                  CREDIT_BASED, MINIMUM_SPEND)
              billingCadence:
                type: string
                enum:
                  - RECURRING
                  - ONE_OFF
                description: The billing cadence (RECURRING or ONE_OFF)
              billingCountryCode:
                type: string
                maxLength: 255
                description: ISO country code for localized pricing, if any
                nullable: true
              billingId:
                type: string
                maxLength: 255
                description: >-
                  Identifier in the external billing integration (e.g. Stripe
                  price id), if any
                nullable: true
              tiersMode:
                type: string
                enum:
                  - VOLUME
                  - GRADUATED
                nullable: true
                description: >-
                  Tiered pricing mode (VOLUME or GRADUATED) when the charge is
                  tiered
              tiers:
                type: array
                items:
                  type: object
                  properties:
                    upTo:
                      type: number
                      description: Upper bound of this tier (null for unlimited)
                      nullable: true
                    unitPrice:
                      type: object
                      properties:
                        amount:
                          type: number
                          description: The price amount
                        currency:
                          description: ISO 4217 currency code
                          type: string
                          enum:
                            - usd
                            - aed
                            - all
                            - amd
                            - ang
                            - aud
                            - awg
                            - azn
                            - bam
                            - bbd
                            - bdt
                            - bgn
                            - bif
                            - bmd
                            - bnd
                            - bsd
                            - bwp
                            - byn
                            - bzd
                            - brl
                            - cad
                            - cdf
                            - chf
                            - cny
                            - czk
                            - dkk
                            - dop
                            - dzd
                            - egp
                            - etb
                            - eur
                            - fjd
                            - gbp
                            - gel
                            - gip
                            - gmd
                            - gyd
                            - hkd
                            - hrk
                            - htg
                            - idr
                            - ils
                            - inr
                            - isk
                            - jmd
                            - jpy
                            - kes
                            - kgs
                            - khr
                            - kmf
                            - krw
                            - kyd
                            - kzt
                            - lbp
                            - lkr
                            - lrd
                            - lsl
                            - mad
                            - mdl
                            - mga
                            - mkd
                            - mmk
                            - mnt
                            - mop
                            - mro
                            - mvr
                            - mwk
                            - mxn
                            - myr
                            - mzn
                            - nad
                            - ngn
                            - nok
                            - npr
                            - nzd
                            - pgk
                            - php
                            - pkr
                            - pln
                            - qar
                            - ron
                            - rsd
                            - rub
                            - rwf
                            - sar
                            - sbd
                            - scr
                            - sek
                            - sgd
                            - sle
                            - sll
                            - sos
                            - szl
                            - thb
                            - tjs
                            - top
                            - try
                            - ttd
                            - tzs
                            - uah
                            - uzs
                            - vnd
                            - vuv
                            - wst
                            - xaf
                            - xcd
                            - yer
                            - zar
                            - zmw
                            - clp
                            - djf
                            - gnf
                            - ugx
                            - pyg
                            - xof
                            - xpf
                          title: Currency
                      required:
                        - amount
                        - currency
                      title: Money
                      description: Per-unit price in this tier
                      nullable: true
                    flatPrice:
                      type: object
                      properties:
                        amount:
                          type: number
                          description: The price amount
                        currency:
                          description: ISO 4217 currency code
                          type: string
                          enum:
                            - usd
                            - aed
                            - all
                            - amd
                            - ang
                            - aud
                            - awg
                            - azn
                            - bam
                            - bbd
                            - bdt
                            - bgn
                            - bif
                            - bmd
                            - bnd
                            - bsd
                            - bwp
                            - byn
                            - bzd
                            - brl
                            - cad
                            - cdf
                            - chf
                            - cny
                            - czk
                            - dkk
                            - dop
                            - dzd
                            - egp
                            - etb
                            - eur
                            - fjd
                            - gbp
                            - gel
                            - gip
                            - gmd
                            - gyd
                            - hkd
                            - hrk
                            - htg
                            - idr
                            - ils
                            - inr
                            - isk
                            - jmd
                            - jpy
                            - kes
                            - kgs
                            - khr
                            - kmf
                            - krw
                            - kyd
                            - kzt
                            - lbp
                            - lkr
                            - lrd
                            - lsl
                            - mad
                            - mdl
                            - mga
                            - mkd
                            - mmk
                            - mnt
                            - mop
                            - mro
                            - mvr
                            - mwk
                            - mxn
                            - myr
                            - mzn
                            - nad
                            - ngn
                            - nok
                            - npr
                            - nzd
                            - pgk
                            - php
                            - pkr
                            - pln
                            - qar
                            - ron
                            - rsd
                            - rub
                            - rwf
                            - sar
                            - sbd
                            - scr
                            - sek
                            - sgd
                            - sle
                            - sll
                            - sos
                            - szl
                            - thb
                            - tjs
                            - top
                            - try
                            - ttd
                            - tzs
                            - uah
                            - uzs
                            - vnd
                            - vuv
                            - wst
                            - xaf
                            - xcd
                            - yer
                            - zar
                            - zmw
                            - clp
                            - djf
                            - gnf
                            - ugx
                            - pyg
                            - xof
                            - xpf
                          title: Currency
                      required:
                        - amount
                        - currency
                      title: Money
                      description: Flat price for this tier
                      nullable: true
                  title: ChargeTier
                  description: A single tier within a tiered charge
                nullable: true
                description: Tiered pricing rows when the charge is tiered
              price:
                type: object
                properties:
                  amount:
                    type: number
                    description: The price amount
                  currency:
                    description: ISO 4217 currency code
                    type: string
                    enum:
                      - usd
                      - aed
                      - all
                      - amd
                      - ang
                      - aud
                      - awg
                      - azn
                      - bam
                      - bbd
                      - bdt
                      - bgn
                      - bif
                      - bmd
                      - bnd
                      - bsd
                      - bwp
                      - byn
                      - bzd
                      - brl
                      - cad
                      - cdf
                      - chf
                      - cny
                      - czk
                      - dkk
                      - dop
                      - dzd
                      - egp
                      - etb
                      - eur
                      - fjd
                      - gbp
                      - gel
                      - gip
                      - gmd
                      - gyd
                      - hkd
                      - hrk
                      - htg
                      - idr
                      - ils
                      - inr
                      - isk
                      - jmd
                      - jpy
                      - kes
                      - kgs
                      - khr
                      - kmf
                      - krw
                      - kyd
                      - kzt
                      - lbp
                      - lkr
                      - lrd
                      - lsl
                      - mad
                      - mdl
                      - mga
                      - mkd
                      - mmk
                      - mnt
                      - mop
                      - mro
                      - mvr
                      - mwk
                      - mxn
                      - myr
                      - mzn
                      - nad
                      - ngn
                      - nok
                      - npr
                      - nzd
                      - pgk
                      - php
                      - pkr
                      - pln
                      - qar
                      - ron
                      - rsd
                      - rub
                      - rwf
                      - sar
                      - sbd
                      - scr
                      - sek
                      - sgd
                      - sle
                      - sll
                      - sos
                      - szl
                      - thb
                      - tjs
                      - top
                      - try
                      - ttd
                      - tzs
                      - uah
                      - uzs
                      - vnd
                      - vuv
                      - wst
                      - xaf
                      - xcd
                      - yer
                      - zar
                      - zmw
                      - clp
                      - djf
                      - gnf
                      - ugx
                      - pyg
                      - xof
                      - xpf
                    title: Currency
                required:
                  - amount
                  - currency
                title: Money
                description: The flat price amount and currency, when applicable
                nullable: true
              creditRate:
                type: object
                properties:
                  amount:
                    type: number
                    description: Credit rate amount
                  currencyId:
                    type: string
                    maxLength: 255
                    description: Custom currency identifier
                  costFormula:
                    type: string
                    maxLength: 255
                    description: Optional cost formula expression
                    nullable: true
                required:
                  - amount
                  - currencyId
                title: ChargeCreditRate
                description: Credit rate configuration for credit-based pricing
                nullable: true
              blockSize:
                type: number
                description: Block size for usage-based pricing
                nullable: true
              featureId:
                type: string
                maxLength: 255
                description: The feature this charge meters, if metered
                nullable: true
              topUpCustomCurrencyId:
                type: string
                maxLength: 255
                description: Custom currency identifier for top-up pricing, if any
                nullable: true
              minUnitQuantity:
                type: number
                description: Minimum unit quantity that can be purchased
                nullable: true
              maxUnitQuantity:
                type: number
                description: Maximum unit quantity that can be purchased
                nullable: true
              creditGrantCadence:
                type: string
                enum:
                  - BEGINNING_OF_BILLING_PERIOD
                  - MONTHLY
                nullable: true
                description: When credits are granted (for credit-based pricing)
              crmId:
                type: string
                maxLength: 255
                description: Identifier in the linked CRM, if any
                nullable: true
              crmLinkUrl:
                type: string
                maxLength: 255
                description: Deep link to the charge in the linked CRM, if any
                nullable: true
              usedInSubscriptions:
                type: boolean
                description: True if this charge is referenced by at least one subscription
                nullable: true
              createdAt:
                type: string
                format: date-time
                description: Timestamp when the charge was created
            required:
              - id
              - billingPeriod
              - billingModel
              - billingCadence
              - createdAt
            title: Charge
            description: >-
              A single pricing row on a plan or addon. Each charge encodes one
              (billingPeriod, billingModel, billingCadence, billingCountryCode)
              combination. Plans and addons own many of these — one per currency
              / billing period / feature.
        pagination:
          type: object
          properties:
            next:
              type: string
              format: uuid
              description: >-
                Cursor for fetching the next page of results, or null if no
                additional pages exist
              nullable: true
            prev:
              type: string
              format: uuid
              description: >-
                Cursor for fetching the previous page of results, or null if at
                the beginning
              nullable: true
          required:
            - next
            - prev
          description: Pagination metadata including cursors for navigating through results
      required:
        - data
        - pagination
      title: ListResponse
      description: Response list object
    BadInputErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - BadUserInput
            - DuplicateIntegrationNotAllowed
            - EntityIsArchivedError
            - IntegrityViolation
            - FreePlanCantHaveCompatiblePackageGroupError
            - SubscriptionMustHaveSinglePlanError
            - AddonIsCompatibleWithPlan
            - AddonIsCompatibleWithGroup
            - DuplicateAddonProvisionedError
            - ScheduledMigrationAlreadyExistsError
            - SubscriptionAlreadyOnLatestPlan
            - EntityIdDifferentFromRefIdError
            - UnsupportedFeatureType
            - UnsupportedVendorIdentifier
            - UnsupportedSubscriptionScheduleType
            - InvalidEntitlementResetPeriod
            - IncompatibleSubscriptionAddon
            - UnPublishedPackage
            - MeteringNotAvailableForFeatureType
            - AuthCustomerMismatch
            - AuthCustomerReadonly
            - FetchAllCountriesPricesNotAllowed
            - MemberInvitationError
            - PlansCircularDependencyError
            - NoFeatureEntitlementInSubscription
            - CheckoutIsNotSupported
            - UnsupportedParameter
            - PricingModelNotSupportedByBillingIntegration
            - BillingIntegrationMissing
            - BillingIntegrationAlreadyExistsError
            - InvalidMemberDelete
            - PackageAlreadyPublished
            - DraftPlanCantBeArchived
            - DraftAddonCantBeArchived
            - PlanWithChildCantBeDeleted
            - PlanCannotBePublishWhenBasePlanIsDraft
            - PlanCannotBePublishWhenCompatibleAddonIsDraft
            - PlanIsUsedAsDefaultStartPlan
            - PlanIsUsedAsDowngradePlan
            - InvalidAddressError
            - InvalidQuantity
            - BillingPeriodMissingError
            - DowngradeBillingPeriodNotSupportedError
            - CustomerAlreadyUsesCouponError
            - CustomerAlreadyHaveCustomerCoupon
            - SubscriptionAlreadyCanceledOrExpired
            - TrialMustBeCancelledImmediately
            - SubscriptionDoesNotHaveBillingPeriod
            - InvalidCancellationDate
            - FailedToImportCustomer
            - FailedToImportSubscriptions
            - PackagePricingTypeNotSet
            - InvalidSubscriptionStatus
            - InvalidArgumentError
            - EditAllowedOnDraftPackageOnlyError
            - ResyncAlreadyInProgress
            - ArchivedCouponCantBeApplied
            - ImportAlreadyInProgress
            - AddonHasToHavePriceError
            - SelectedBillingModelDoesntMatchImportedItemError
            - CannotArchiveProductError
            - CannotUnarchiveProductError
            - CannotDeleteCustomerError
            - CannotRemovePaymentMethodFromCustomerError
            - CannotDeleteFeatureError
            - CannotArchiveFeatureError
            - InvalidUpdatePriceUnitAmountError
            - ExperimentAlreadyRunning
            - ExperimentStatusError
            - OperationNotAllowedDuringInProgressExperiment
            - EntitlementsMustBelongToSamePackage
            - CanNotUpdateEntitlementsFeatureGroup
            - MeterMustBeAssociatedToMeteredFeature
            - CannotEditPackageInNonDraftMode
            - CannotAddOverrideEntitlementToPlan
            - MissingEntityIdError
            - NoProductsAvailable
            - PromotionCodeNotForCustomer
            - PromotionCodeNotActive
            - PromotionCodeMaxRedemptionsReached
            - PromotionCodeMinimumAmountNotReached
            - PromotionCodeCustomerNotFirstPurchase
            - AddonWithDraftCannotBeDeletedError
            - CannotReportUsageForEntitlementWithMeterError
            - RecalculateEntitlementsError
            - ImportSubscriptionsBulkError
            - InvalidMetadataError
            - CannotUpsertToPackageThatHasDraft
            - IntegrationValidationError
            - AwsMarketplaceIntegrationValidationError
            - AwsMarketplaceIntegrationError
            - DataExportIntegrationError
            - HubspotIntegrationError
            - DuplicateProductValidationError
            - AmountTooLarge
            - CustomerHasNoEmailAddress
            - MergeEnvironmentValidationError
            - EntitlementLimitExceededError
            - EntitlementUsageOutOfRangeError
            - UsageMeasurementDiffOutOfRangeError
            - AddonQuantityExceedsLimitError
            - AddonDependencyMissingError
            - PackageGroupMinItemsError
            - CannotUpdateUnitTransformationError
            - SingleSubscriptionCantBeAutoCancellationTargetError
            - MultiSubscriptionCantBeAutoCancellationSourceError
            - ChangingPayingCustomerIsNotSupportedError
            - RequiredSsoAuthenticationError
            - InvalidDoggoSignatureError
            - InvalidReceivedSignatureError
            - CannotDeleteDefaultIntegration
            - CannotChangeBillingIntegration
            - FailedToResolveBillingIntegration
            - WorkflowTriggerNotFound
            - DeprecatedEstimateSubscriptionError
            - FeatureConfigurationExceededLimitError
            - FeatureNotBelongToFeatureGroupError
            - FeatureGroupMissingFeaturesError
            - VersionExceedsMaxValueError
            - CannotUpdateExpireAtForExpiredCreditGrantError
            - ExpireAtMustBeLaterThanEffectiveAtError
            - OfferAlreadyExists
            - DraftAlreadyExists
            - CreditGrantAlreadyVoided
            - CreditGrantCannotBeVoided
            - InvalidTaxId
            - ObjectAlreadyBeingUsedByAnotherRequestError
            - TooManySubscriptionsPerCustomer
            - TooManyCustomCurrencies
            - StripeError
            - SchedulingAtEndOfBillingPeriod
            - ApiKeyExpired
            - ApiKeyHasExpiry
          nullable: true
      required:
        - message
        - code
    UnauthenticatedErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - Unauthenticated
          nullable: true
      required:
        - message
        - code
    ForbiddenErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - IdentityForbidden
            - AccessDeniedError
            - NoFeatureEntitlementError
          nullable: true
      required:
        - message
        - code
    TooManyRequestsErrorResponseDto:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
          enum:
            - RateLimitExceeded
          nullable: true
      required:
        - message
        - code
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Server API Key

````